Skip to main content
GET
/
optimism
/
batches
/
{number}
Batch by its number.
curl --request GET \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/optimism/batches/{number}?apikey='
{
  "batch_data_container": "in_blob4844",
  "l1_timestamp": "2023-11-07T05:31:56Z",
  "l1_transaction_hashes": [
    "<string>"
  ],
  "l2_end_block_number": 123,
  "l2_start_block_number": 123,
  "number": 123,
  "transactions_count": 123,
  "blobs": [
    {
      "l1_timestamp": "2023-11-07T05:31:56Z",
      "l1_transaction_hash": "<string>",
      "cert": "<string>",
      "commitment": "<string>",
      "hash": "<string>",
      "height": 123,
      "namespace": "<string>"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://blockscout-mf-14206.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Path Parameters

number
string
required

Batch number in the path.

Pattern: ^-?([1-9][0-9]*|0)$

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

Response

Batch · object | null

Batch detailed info.

Optimism Batch struct.

batch_data_container
enum<string> | null
required
Available options:
in_blob4844,
in_celestia,
in_eigenda,
in_alt_da,
in_calldata
l1_timestamp
string<date-time>
required
l1_transaction_hashes
string[]
required
Pattern: ^0x([A-Fa-f0-9]{64})$
l2_end_block_number
integer
required
l2_start_block_number
integer
required
number
integer
required
transactions_count
integer
required
blobs
object[]